Skip to main content
`Ctrl`+`K`

# VECMPIHIP

VECMPIHIP = “mpihip” - The basic parallel vector, modified to use HIP

## Options Database Key

- -vec_type mpihip - sets the vector type to `VECMPIHIP` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECMPI`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`

## Level

beginner

## Location

src/vec/vec/impls/mpi/cupm/hip/vecmpicupm.hip.cpp

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages